Package com.independentsoft.office

# Class ContentTypeTable

java.lang.Object
com.independentsoft.office.ContentTypeTable

public class ContentTypeTable extends Object
The Class ContentTypeTable.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentTypeTable()`
  Instantiates a new content type table.
  `ContentTypeTable​(byte[] buffer)`
  Instantiates a new content type table.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContentTypeTable`
  `clone()`
  `HashMap<String,​String>`
  `getDefaultContentTypes()`
  Gets the default content types.
  `String`
  `getExtension​(String contentType)`
  Gets the extension.
  `HashMap<String,​String>`
  `getOverrideContentTypes()`
  Gets the override content types.
  `String`
  `getPartName​(String contentType)`
  Gets the part name.
  `String[]`
  `getPartNames​(String contentType)`
  Gets the part names.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ContentTypeTable

    public ContentTypeTable()
    Instantiates a new content type table.

  - ### ContentTypeTable

    public ContentTypeTable​(byte[] buffer) throws XMLStreamException
    Instantiates a new content type table.
    Parameters:
      `buffer` - the buffer
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### getExtension

    public String getExtension​(String contentType)
    Gets the extension.
    Parameters:
      `contentType` - the content type
    Returns:
      the extension

  - ### getPartName

    public String getPartName​(String contentType)
    Gets the part name.
    Parameters:
      `contentType` - the content type
    Returns:
      the part name

  - ### getPartNames

    public String[] getPartNames​(String contentType)
    Gets the part names.
    Parameters:
      `contentType` - the content type
    Returns:
      the part names

  - ### clone

    public ContentTypeTable clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDefaultContentTypes

    public HashMap<String,​String> getDefaultContentTypes()
    Gets the default content types.
    Returns:
      the default content types

  - ### getOverrideContentTypes

    public HashMap<String,​String> getOverrideContentTypes()
    Gets the override content types.
    Returns:
      the override content types